Skip to main content
Use the meetings engagement API to log and manage meetings on CRM records. You can log meeting activities either in HubSpot or through the meetings API. You can retrieve, update, or delete meeting engagements that are manually logged on a record, scheduled using the meetings tool, or scheduled using the Google Calendar or Office 365 calendar integration.

Create a meeting

To create a meeting engagement, make a POST request to /crm/v3/objects/meetings. In the request body, add meeting details in a properties object. You can also add an associations object to associate your new meeting with an existing record (e.g., contacts, companies).

Properties

In the properties object, you can include the following fields:

Associations

To create and associate a meeting with existing records, include an associations object in your request. For example, to create and associate a meeting with contacts, your request may look similar to the following:
The associations object should include: Learn more about batch creating meetings by checking out the reference documentation.

Retrieve meetings

You can retrieve meetings individually or in bulk. Learn more about batch retrieval by checking out the reference documentation. To retrieve an individual meeting by its meeting ID, make a GET request to /crm/v3/objects/meetings/{meetingId}. You can also include the following parameters in the request URL: To request a list of all of meetings, make a GET request to crm/v3/objects/meetings. You can include the following parameters in the request URL:

Update meetings

You can update meetings individually or in batches. To update an individual meeting by its meeting ID, make a PATCH request to /crm/v3/objects/meetings/{meetingId}. In the request body, include the meeting properties that you want to update. For example, your request body might look similar to the following:
HubSpot will ignore values for read-only and non-existent properties. To clear a property value, pass an empty string for the property in the request body. Learn more about batch updating by checking out the reference documentation.

Associate existing meetings with records

To associate a meeting with records, such as a contact and its associated companies, make a PUT request to /crm/v3/objects/meetings/{meetingId}/associations/{toObjectType}/{toObjectId}/{associationTypeId}. The request URL contains the following fields: For example, your request URL might look similar to the following: https://api.hubspot.com/crm/v3/objects/meetings/17612479134/associations/contact/104901/200

Remove an association

To remove an association between a meeting and a record, make a DELETE request to the same URL as above: /crm/v3/objects/meetings/{meetingId}/associations/{toObjectType}/{toObjectId}/{associationTypeId}

Pin a meeting on a record

You can pin a meeting on a record so it remains on the top of the record’s timeline. The meeting must already be associated with the record prior to pinning, and you can only pin one activity per record. To pin a meeting, include the meeting’s id in the hs_pinned_engagement_id field when creating or updating a record via the object APIs. Learn more about using the companies, contacts, deals, tickets, and custom objects APIs.

Delete meetings

You can delete meetings individually or in batches, which will add the meeting to the recycling bin in HubSpot. You can later restore the meeting from the record timeline. To delete an individual meeting by its meeting ID, make a DELETE request to /crm/v3/objects/meetings/{meetingId}. Learn more about batch deleting by checking out the reference documentation.
Last modified on April 13, 2026